import json
from datetime import datetime

class Seed:
    def __init__(self, name, data):
        self.name = name
        self.data = data
        self.encoded = self.encode()

    def encode(self):
        encoded = {}
        encoded['name'] = self.name
        encoded['timestamp'] = str(datetime.now())
        encoded['data'] = self.data

        return json.dumps(encoded, sort_keys=True)

    def __str__(self):
        return self.encoded

    def __repr__(self):
        return self.__str__()



