import unittest
from finance_seed import FinanceSeed

class TestFinanceSeed(unittest.TestCase):
    def setUp(self):
        self.financeSeed = FinanceSeed("testFinance")

    def test_send_to_database(self):
        response = self.financeSeed.send_to_database('on')
        self.assertEqual(response.status_code, 200, 'Expected response code was ' + str(200)
                         + '. Given response code was ' + str(response.status_code))
        self.assertEqual(response.json()['name'], self.financeSeed['name'] )
        self.assertTrue('timestamp' in response.json())

