import unittest
from weather_seed import WeatherSeed

class TestWeatherSeed(unittest.TestCase):
    def setUp(self):
        self.weatherSeed = WeatherSeed("testWeather")

    def test_send_to_database(self):
        response = self.weatherSeed.send_to_database('on')
        self.assertEqual(response.status_code, 200, 'Expected response code was ' + str(200)
                         + '. Given response code was ' + str(response.status_code))
        self.assertEqual(response.json()['name'], self.weatherSeed['name'] )
        self.assertTrue('timestamp' in response.json())

