#!/bin/bash
sudo apt-get update
sudo apt-get upgrade
sudo rpi-update

# install java
sudo apt-get install default-jdk
# install python
sudo apt-get install python 2.7.6
# install pip
sudo apt-get install python-pip 

#apache2 Dependancies
sudo apt-get install apache2
sudo apt-get install python-dev
sudo apt-get install libapache2-mod-wsgi
sudo pip install bottle
#install cython and set it up
sudo apt-get install Cython
sudo pip install UnQLite 
sudo apt-get install curl

#python dependencies
sudo pip install requests
# We are no longer using beautifulsoup
#sudo pip install beautifulsoup4
sudo pip install datetime

sudo pip install genshi


#wget http://www.cython.org/release/Cython-0.16.tar.gz
#tar xvfz Cython-0.16.tar.gz; 
#cd Cython-0.16/
#python setup.py install

#festival things
sudo apt-get install festival
sudo apt-get install vlc

#install ruby
#sudo apt-get install ruby-full build-essential
#sudo apt-get install zlib1g-dev
#sudo gem install rubygems-update
#sudo update_rubygems
#sudo gem install nokogiri
#sudo gem install rest-client


#grab repository key
#wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add -
#add key to repo list
#echo "deb http://dl.bintray.com/openhab/apt-repo stable main" | sudo tee /etc/apt/sources.list.d/openhab.list
#update repository list
#sudo apt-get update
#install openhab 
#sudo apt-get install openhab-runtime

#sudo mkdir /opt/openhab
#cd /opt/openhab
#wget https://github.com/openhab/openhab/releases/download/v1.5.1/distribution-1.5.1-runtime.zip
#cd /opt/openhabsudo
#unzip distribution-1.5.1-runtime.zip
#rm distribution-1.5.1-runtime.zip
#cd addons/
#wget https://github.com/openhab/openhab/releases/download/v1.5.1/distribution-1.5.1-addons.zip
#sudo unzip distribution-1.5.1-addons.zip
#rm distribution-1.5.1-addons.zip
#cd ..
#sudo cp configurations/openhab_default.cfg configurations/openhab.cfg
#cd /opt/openhab
#wget https://github.com/openhab/openhab/releases/download/v1.5.1/distribution-1.5.1-demo-configuration.zip
#cd /opt/openhab
#sudo unzip distribution-1.5.1-demo-configuration.zip
#rm distribution-1.5.1-demo-configuration.zip 
#sudo chmod +x start.sh
